#
# spec file for package fetchmail (Version 6.3.8)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl dante dante-devel diffutils ed file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv keyutils-devel keyutils-libs krb5 krb5-devel less libacl libattr libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs opie pam pam-modules patch perl perl-base permissions popt post-build-checks postfix procmail pwdutils python python-devel rpm sed sqlite sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           fetchmail
BuildRequires:  dante-devel ed krb5-devel openssl-devel opie postfix procmail pwdutils python-devel
License:        GPL v2 or later; Other uncritical OpenSource License; Public Domain, Freeware
Group:          Productivity/Networking/Email/Utilities
AutoReqProv:    on
Version:        6.3.8
Release:        57.4
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.init
Source2:        %{name}.logrotate
Source3:        sysconfig.%{name}
Patch0:         fetchmail-6.3.8-CVE-2007-4565.patch
Patch1:         fetchmail-CVE-2009-2666.patch
PreReq:         %insserv_prereq %fillup_prereq coreutils
Url:            http://www.fetchmail.info/
Icon:	        fetchmail.xpm
Requires:       smtp_daemon
Provides:       pop:/usr/bin/fetchmail
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Full-Featured POP and IMAP Mail Retrieval Daemon

%description
Fetchmail is a robust and well-documented remote mail retrieval and
forwarding utility intended to be used over on-demand TCP/IP links
(such as SLIP or PPP connections).

Fetchmail retrieves mail from remote mail servers and forwards it to
your local machine's delivery system, so it can be read by normal mail
user agents, such as mutt, elm, pine, (x)emacs/gnus, or mailx.

fetchmailconf, an interactive GUI configurator suitable for end-users,
is included in the fetchmailconf package.



Authors:
--------
    Eric S. Raymond <esr@snark.thyrsus.com>
    Matthias Andree <matthias.andree@gmx.de>
    Carl E. Harris <ceharris@mal.com>
    George M. Sipe <gsipe@pobox.com>
    Sunil Shetye <shetye@bombay.retortsoft.com>

%debug_package
%package -n fetchmailconf
License:        GPL v2 or later
Summary:        Fetchmail Configuration Utility
Group:          Productivity/Networking/Email/Utilities
Requires:       %{name} = %{version} python-tk
%py_requires

%description -n fetchmailconf
A GUI configuration utility for generating fetchmail configuration
files (.fetchmailrc).



Authors:
--------
    Eric S. Raymond <esr@snark.thyrsus.com>
    Matthias Andree <matthias.andree@gmx.de>
    Carl E. Harris <ceharris@mal.com>
    George M. Sipe <gsipe@pobox.com>
    Sunil Shetye <shetye@bombay.retortsoft.com>

%prep
%setup -q
%patch0
%patch1
cp -a %{S:1} %{S:2} %{S:3} .

%build
ACLOCAL="aclocal -I m4 -I m4-local" autoreconf -f -i 
if [ -f /usr/%_lib/libkrb5.so ] ; then
   GSS="--with-gssapi"
else
   GSS=""
fi
export CFLAGS="$RPM_OPT_FLAGS"
%configure\
	--enable-POP2\
	--enable-RPA\
	--enable-NTLM\
	--enable-SDPS\
	--enable-opie\
	--with-socks\
	$GSS\
	--with-ssl=/usr
make %{?jobs:-j%jobs}

%install
%makeinstall
ln -sf fetchmail.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/fetchmailconf.1.gz
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cp fetchmail.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/fetchmail
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
cp fetchmail.init $RPM_BUILD_ROOT/etc/init.d/fetchmail
chmod +x $RPM_BUILD_ROOT/etc/init.d/fetchmail
ln -s ../etc/init.d/fetchmail $RPM_BUILD_ROOT/sbin/rcfetchmail
touch $RPM_BUILD_ROOT%{_sysconfdir}/fetchmailrc
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp sysconfig.%{name} $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log
touch $RPM_BUILD_ROOT%{_localstatedir}/log/fetchmail
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/fetchmail
%find_lang %{name}

%pre
usr/sbin/useradd -r -o -g daemon -s /bin/false \
  -c "mail retrieval daemon" -d /var/lib/fetchmail fetchmail 2>/dev/null || :

%post
%{fillup_and_insserv}
# Ensure that all files are readable by fetchmail with non-root UID.
touch var/log/fetchmail
chown fetchmail var/log/fetchmail
if test -f etc/fetchmailrc ; then
    chown fetchmail etc/fetchmailrc
fi
chmod 0600 var/log/fetchmail

%postun
%{insserv_cleanup}
if [ $1 == 0 ]; then
    rm -rf var/lib/fetchmail
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING FAQ FEATURES NEWS NOTES OLDNEWS README README.NTLM README.SSL TODO contrib *.html *.txt *.pdf
%{_bindir}/fetchmail
%dir %attr (0700, fetchmail, root) %{_localstatedir}/lib/fetchmail
%ghost %attr (0600, fetchmail, root) %{_localstatedir}/log/fetchmail
%doc %{_mandir}/man1/fetchmail.1.gz
%ghost %config(noreplace) %attr (0600, fetchmail, root) %{_sysconfdir}/fetchmailrc
/etc/logrotate.d/fetchmail
/etc/init.d/fetchmail
/sbin/rcfetchmail
/var/adm/fillup-templates/sysconfig.%{name}

%files -n fetchmailconf
%defattr(-, root, root)
%{_bindir}/fetchmailconf
%doc %{_mandir}/man1/fetchmailconf.1.gz
%{py_sitedir}/fetchmailconf.*

%changelog
* Thu Aug 06 2009 - puzel@suse.cz
- add fetchmail-CVE-2009-2666.patch (bnc#528746)
  - fixes SSL certificate subject verification (CVE-2009-2666)
* Thu Sep 27 2007 - pcerny@suse.de
- Fix for DoS vulnerability (#308271 CVE-2007-4565)
* Tue Sep 11 2007 - ro@suse.de
- remove librsaref2-devel from buildrequires (unused)
* Fri Aug 31 2007 - pcerny@suse.cz
- librsaref2 => librsaref2-devel [#302599]
- removed %%suseversion > 800 check (insserv)
* Mon Jul 02 2007 - lrupp@suse.de
- rsaref => librsaref2
* Thu Apr 19 2007 - sbrabec@suse.cz
- Updated to version 6.3.8:
  * Make the APOP challenge parser more distrustful and have it
  reject challenges that do not conform to RFC-822 msg-id format
  (CVE-2007-1558).
  * Repoll immediately if a protocol error happens during the
  authentication attempt after a failed opportunistic TLS upgrade
  (#262450).
  * Do not crash with a null pointer dereference when opening the
  BSMTP file fails.
  * Make BSMTP output actually work.
  * Add delete-later and delete-later.README.
  * Fix KPOP.
  * Fix repoll when server disconnects after opportunistic TLS
  failed for POP3.
  * Documentation and string fixes.
* Fri Mar 30 2007 - ro@suse.de
- added pwdutils to buildreq
* Tue Feb 06 2007 - sbrabec@suse.cz
- Repair repoll after opportunistic TLS failed (#223507#c27,
  Berlios#10133).
- Use upstream fix of KPOP regression (#223507#c26).
* Thu Jan 25 2007 - sbrabec@suse.cz
- Fixed regression in KPOP support (#223507#c8).
  http://lists.berlios.de/pipermail/fetchmail-devel/2007-January/000857.html
* Wed Jan 24 2007 - sbrabec@suse.cz
- Updated to version 6.3.6 (#223507):
  * Password disclosure vulnerability fixed (CVE-2006-5867).
  * Repairs a regression in 6.3.5 that crashes fetchmail when a
  message with invalid headers is found while fetchmail's mda
  option is in use (CVE-2006-5974).
  * Repair --logfile, broken in 6.3.5.
  * Repair --user, broken in 6.3.5.
  * RPOP: used to log the password locally rather than an asterisk
  as the other protocols do.
  * POP3: Probes capabilities now when Kerberos V5 is enabled, so
  that we can actually detect if the server supports it.
  * DNS: Detect /etc/resolv.conf changes
  * When HOME and FETCHMAILHOME are unset, be sure to copy user
  database information.
- Spec file cleanup.
* Wed Oct 25 2006 - sbrabec@suse.cz
- Fixed problems caused by calling daemon as non-root (#207305).
* Mon Oct 23 2006 - sbrabec@suse.cz
- Updated to version 6.3.5:
  * Bug fixes.
  * Translation updates.
  * Logging behavior changes.
  * fetchmail now supports foo@example.org=bar user mappings for
  multidrop boxes.
  * Bouncing improvements.
  * Improved IMAP and SDPS behavior.
  * See NEWS for deprecated features and major incompatible change
  advance warnings.
* Sat Oct 21 2006 - schwab@suse.de
- Run automake.
* Thu Jun 01 2006 - sbrabec@suse.cz
- By default run as non-root user fetchmail (159764#c1).
- Implemented "oneshot" in the init script (159764#c8).
* Mon Apr 03 2006 - sbrabec@suse.cz
- Backported fixes for two crashes (159764#c9, 159764#c10).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - sbrabec@suse.cz
- Updated to version 6.3.2 (fixes CVE-2006-0321).
* Tue Jan 10 2006 - sbrabec@suse.cz
- Updated to version 6.3.1 (fixes #140475).
* Mon Dec 05 2005 - sbrabec@suse.cz
- Updated to version 6.3.0 (fixes #131232).
* Wed Jul 27 2005 - sbrabec@suse.cz
- Updated to version 6.2.5.2 (#97555).
* Mon Apr 25 2005 - sbrabec@suse.cz
- Prevent lost mails with NULL envelope (#80331).
* Thu Feb 03 2005 - ro@suse.de
- fix build on older distributions
* Wed Jan 19 2005 - sbrabec@suse.cz
- Turned on GSSAPI, SOCKS and RSAREF support.
- Fixed implicit declaration and random result warnings.
* Fri Sep 24 2004 - sbrabec@suse.cz
- Added more sysconfig options for init script.
* Thu Sep 16 2004 - aj@suse.de
- Remove wrong definition.
* Tue Aug 31 2004 - sbrabec@suse.cz
- Added sendmail to Required-Start/Stop (#44500).
* Wed May 05 2004 - sbrabec@suse.cz
- Added sysconfig variable for polling interval (#39777).
- Init script adapted to conform latest LSB.
* Tue Apr 27 2004 - ro@suse.de
- fix missing return value in pop2.c
* Tue Mar 30 2004 - sbrabec@suse.cz
- Added /etc/fetchmailrc to file list.
* Thu Mar 25 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Wed Mar 10 2004 - sbrabec@suse.cz
- Set fetchsizelimit for APOP and RPOP (bug #35555).
  http://lists.ccil.org/pipermail/fetchmail-friends/2003-October/003958.html
* Wed Feb 04 2004 - sbrabec@suse.cz
- Updated to version 6.2.5.
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Oct 23 2003 - kukuk@suse.de
- Remove wrong requires
* Thu Aug 07 2003 - sbrabec@suse.cz
- Updated to version 6.2.3.
* Tue May 20 2003 - mmj@suse.de
- Fix typo
* Wed Mar 26 2003 - sbrabec@suse.cz
- Updated to version 6.2.2.
- Created startup script.
* Thu Jan 16 2003 - sbrabec@suse.cz
- Updated to version 6.2.1.
* Fri Dec 13 2002 - mmj@suse.de
- Update to 6.2.0 which has security fix for rfc822.c and some
  translations plus an SMTP timeout patch
* Tue Dec 10 2002 - sbrabec@suse.cz
- Updated to version 6.1.3.
* Wed Nov 20 2002 - sbrabec@suse.cz
- Spec file cleanup (bug #21912).
* Thu Oct 24 2002 - sbrabec@suse.cz
- Update to version 6.1.1.
* Tue Oct 01 2002 - sbrabec@suse.cz
- Removed --with-included-gettext and re-enabled NLS.
- OPIE/OTP fixes.
- Spec file cleanup.
* Fri Sep 27 2002 - mmj@suse.de
- Update to 6.1.0 including since 5.9.13:
  o Support for STARTTLS over IMAP
  o Cleanups and bugfixes
  o Translation update
  o Fix for potential remote vulnerability in multidrop mode,
  which according to the author is an important security fix.
* Mon Jul 29 2002 - jreuter@suse.de
- more spec file cleanup
* Mon Jul 29 2002 - jreuter@suse.de
- added /etc/logrotate.d/fetchmail (Bugzilla #17279)
- spec file cleanup
* Fri Jul 19 2002 - jreuter@suse.de
- removed /usr/share/locale/*/LC_MESSAGES/fetchmail.mo from file list
* Wed Jul 17 2002 - jreuter@suse.de
- updated to version 5.9.13
- disabled NLS support because it doesn't compile and esr is about
  to remove it anyway
- complete changelog: http://tuxedo.org/~esr/fetchmail/NEWS
* Sat Mar 23 2002 - kukuk@suse.de
- Fix fetchmailconf (wrong python widget destroy calls) [Bug #15391]
* Mon Sep 17 2001 - bjacke@suse.de
- minor fixes in README.SUSE
* Thu Aug 16 2001 - bjacke@suse.de
- update to 5.9.0
* Thu Jul 12 2001 - bjacke@suse.de
- update to 5.8.14
* Fri Jun 15 2001 - bjacke@suse.de
- patch to prevent buffer overflow due to long headers
* Tue Apr 03 2001 - bjacke@suse.de
- update to 5.8.0
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Feb 14 2001 - bjacke@suse.de
- updated to 5.6.5 (fixes #6245)
- fix fetchmailconf nospambounce problem
- enable RPA protocol
* Fri Jan 05 2001 - bjacke@suse.de
- disabled IPv6 support for the time being to fix bug #5111
* Wed Dec 20 2000 - garloff@suse.de
- pass --enable-NTLM to configure in order to enable M$ Exchange
  compatible auth proto
- explicitly specify the directories with --mandir etc ...
- Use DESTDIR= instead of prefix to pass RPM_BUILD_ROOT
- add %%{?suse_update_config}
* Mon Dec 18 2000 - bjacke@suse.de
- some spec file fixes
* Mon Dec 18 2000 - ro@suse.de
- Fix requires for fetchmailconf (again)
* Mon Dec 18 2000 - bjacke@suse.de
- merged ssl stuff from fetchmailssl to fetchmail package
* Wed Nov 29 2000 - bjacke@suse.de
- updated to 5.6.0
- adjust README to new boot concept
* Fri Nov 10 2000 - bjacke@suse.de
- updated to version 5.5.5
- switched to long names
- added README.SuSE
* Sun Sep 03 2000 - bjacke@suse.de
- update to fetchmail-5.5.1
* Tue May 23 2000 - bk@suse.de
- moved fetchmailconf man page to subpackage fetchmcf
* Mon May 15 2000 - bk@suse.de
- update to fetchmail-5.4.0, new major version.
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Thu Feb 24 2000 - dipa@suse.de
- update to fetchmail-5.3. update to fetchmail-5.3.00
* Tue Feb 15 2000 - bk@suse.de
- update to fetchmail-5.2.8, that's the code freeze release for 5.3.0
* Tue Feb 08 2000 - bk@suse.de
- update to fetchmail-5.2.7, Eric's changelog to 5.2.6 is very small:
  * Updated FAQ and
  * Updated es.po.
  * Disable mail notification on server unreachable.  This turned out to
  be a very bad idea.
* Tue Feb 01 2000 - ro@suse.de
- specfile typo
* Tue Feb 01 2000 - ro@suse.de
- create man directory
* Mon Jan 31 2000 - bk@suse.de
- restarted spec from package-provided spec, subpackages fetchmcf (fetchmailconf)
* Wed Oct 20 1999 - bk@suse.de
- split-off from pop, update to 5.1.2
